## EogWindowActivatable

EogWindowActivatable

## Functions

void | eog_window_activatable_activate ()
void | eog_window_activatable_deactivate ()

## Properties

EogWindow * | window | Read / Write / Construct Only

## Types and Values

| EogWindowActivatable
struct | EogWindowActivatableInterface

## Object Hierarchy

        GInterface
        ╰── EogWindowActivatable

## Prerequisites

EogWindowActivatable requires GObject.

## Description

## Functions

### eog_window_activatable_activate ()

    void
    eog_window_activatable_activate (EogWindowActivatable *activatable);

### eog_window_activatable_deactivate ()

    void
    eog_window_activatable_deactivate (EogWindowActivatable *activatable);

## Types and Values

### EogWindowActivatable

    typedef struct _EogWindowActivatable EogWindowActivatable;

### struct EogWindowActivatableInterface

    struct EogWindowActivatableInterface {
    	GTypeInterface g_iface;

    	/* vfuncs */

    	void (*activate) (EogWindowActivatable *activatable);
    	void (*deactivate) (EogWindowActivatable *activatable);
    };

## Property Details

### The `“window”` property

      “window”                   EogWindow *

This is the EogWindow this EogWindowActivatable instance should be attached to.

Owner: EogWindowActivatable

Flags: Read / Write / Construct Only